import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_postUiApiRecordsContentDocumentsContentVersions_ResourceRequestConfig } from '../resources/postUiApiRecordsContentDocumentsContentVersions';
import { ContentDocumentCompositeRepresentation as types_ContentDocumentCompositeRepresentation_ContentDocumentCompositeRepresentation } from '../types/ContentDocumentCompositeRepresentation';
export declare const adapterName = "createContentDocumentAndVersion";
export declare const createContentDocumentAndVersion_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const createContentDocumentAndVersion_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface CreateContentDocumentAndVersionConfig {
    description?: string;
    title?: string;
}
export declare const createResourceParams: (config: CreateContentDocumentAndVersionConfig) => resources_postUiApiRecordsContentDocumentsContentVersions_ResourceRequestConfig;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<CreateContentDocumentAndVersionConfig>): adapter$45$utils_Untrusted<CreateContentDocumentAndVersionConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): CreateContentDocumentAndVersionConfig | null;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: CreateContentDocumentAndVersionConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<import("@luvio/engine").FulfilledSnapshot<types_ContentDocumentCompositeRepresentation_ContentDocumentCompositeRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_ContentDocumentCompositeRepresentation_ContentDocumentCompositeRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_ContentDocumentCompositeRepresentation_ContentDocumentCompositeRepresentation, any>>;
export declare const createContentDocumentAndVersionAdapterFactory: $64$luvio_engine_AdapterFactory<CreateContentDocumentAndVersionConfig, types_ContentDocumentCompositeRepresentation_ContentDocumentCompositeRepresentation>;
