import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_postUiApiRecordsContentDocumentsContentVersionsByContentDocumentId_ResourceRequestConfig } from '../resources/postUiApiRecordsContentDocumentsContentVersionsByContentDocumentId';
import { ContentDocumentCompositeRepresentation as types_ContentDocumentCompositeRepresentation_ContentDocumentCompositeRepresentation } from '../types/ContentDocumentCompositeRepresentation';
export declare const adapterName = "createContentVersion";
export declare const createContentVersion_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const createContentVersion_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface CreateContentVersionConfig {
    contentDocumentId: string;
    description?: string;
    title?: string;
}
export declare const createResourceParams: (config: CreateContentVersionConfig) => resources_postUiApiRecordsContentDocumentsContentVersionsByContentDocumentId_ResourceRequestConfig;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<CreateContentVersionConfig>): adapter$45$utils_Untrusted<CreateContentVersionConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): CreateContentVersionConfig | null;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: CreateContentVersionConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<import("@luvio/engine").FulfilledSnapshot<types_ContentDocumentCompositeRepresentation_ContentDocumentCompositeRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_ContentDocumentCompositeRepresentation_ContentDocumentCompositeRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_ContentDocumentCompositeRepresentation_ContentDocumentCompositeRepresentation, any>>;
export declare const createContentVersionAdapterFactory: $64$luvio_engine_AdapterFactory<CreateContentVersionConfig, types_ContentDocumentCompositeRepresentation_ContentDocumentCompositeRepresentation>;
