import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiActionsOverridesByObjectApiName_ResourceRequestConfig } from '../resources/getUiApiActionsOverridesByObjectApiName';
import { ActionOverrideRepresentation as types_ActionOverrideRepresentation_ActionOverrideRepresentation } from '../types/ActionOverrideRepresentation';
export declare const adapterName = "getActionOverrides";
export declare const getActionOverrides_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getActionOverrides_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetActionOverridesConfig {
    objectApiName: string;
    defaultTemplateOnly?: boolean;
    type?: string;
}
export declare const createResourceParams: (config: GetActionOverridesConfig) => resources_getUiApiActionsOverridesByObjectApiName_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetActionOverridesConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetActionOverridesConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetActionOverridesConfig>): adapter$45$utils_Untrusted<GetActionOverridesConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetActionOverridesConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetActionOverridesConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetActionOverridesConfig): $64$luvio_engine_Snapshot<types_ActionOverrideRepresentation_ActionOverrideRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetActionOverridesConfig, resourceParams: resources_getUiApiActionsOverridesByObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_ActionOverrideRepresentation_ActionOverrideRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_ActionOverrideRepresentation_ActionOverrideRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_ActionOverrideRepresentation_ActionOverrideRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_ActionOverrideRepresentation_ActionOverrideRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetActionOverridesConfig, resourceParams: resources_getUiApiActionsOverridesByObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetActionOverridesConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_ActionOverrideRepresentation_ActionOverrideRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetActionOverridesConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_ActionOverrideRepresentation_ActionOverrideRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_ActionOverrideRepresentation_ActionOverrideRepresentation>): $64$luvio_engine_Snapshot<types_ActionOverrideRepresentation_ActionOverrideRepresentation, any>;
export declare const getActionOverridesAdapterFactory: $64$luvio_engine_AdapterFactory<GetActionOverridesConfig, types_ActionOverrideRepresentation_ActionOverrideRepresentation>;
