import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiApps_ResourceRequestConfig } from '../resources/getUiApiApps';
import { AppsRepresentation as types_AppsRepresentation_AppsRepresentation } from '../types/AppsRepresentation';
export declare const adapterName = "getAllApps";
export declare const getAllApps_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getAllApps_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetAllAppsConfig {
    formFactor?: string;
    userCustomizations?: boolean;
}
export declare const createResourceParams: (config: GetAllAppsConfig) => resources_getUiApiApps_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetAllAppsConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetAllAppsConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetAllAppsConfig>): adapter$45$utils_Untrusted<GetAllAppsConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetAllAppsConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetAllAppsConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetAllAppsConfig): $64$luvio_engine_Snapshot<types_AppsRepresentation_AppsRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetAllAppsConfig, resourceParams: resources_getUiApiApps_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_AppsRepresentation_AppsRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_AppsRepresentation_AppsRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_AppsRepresentation_AppsRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_AppsRepresentation_AppsRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetAllAppsConfig, resourceParams: resources_getUiApiApps_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetAllAppsConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_AppsRepresentation_AppsRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetAllAppsConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_AppsRepresentation_AppsRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_AppsRepresentation_AppsRepresentation>): $64$luvio_engine_Snapshot<types_AppsRepresentation_AppsRepresentation, any>;
export declare const getAllAppsAdapterFactory: $64$luvio_engine_AdapterFactory<GetAllAppsConfig, types_AppsRepresentation_AppsRepresentation>;
