import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { UncoercedConfiguration as adapter$45$utils_UncoercedConfiguration, Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiActionsQuickActionInfoByActionApiName_ResourceRequestConfig } from '../resources/getUiApiActionsQuickActionInfoByActionApiName';
import { KeyParams as types_QuickActionInfoRepresentation_KeyParams, QuickActionInfoRepresentation as types_QuickActionInfoRepresentation_QuickActionInfoRepresentation } from '../types/QuickActionInfoRepresentation';
export declare const adapterName = "getQuickActionInfo";
export declare const getQuickActionInfo_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getQuickActionInfo_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetQuickActionInfoConfig {
    actionApiName: string;
    parentRecordId?: string;
}
export declare const createResourceParams: (config: GetQuickActionInfoConfig) => resources_getUiApiActionsQuickActionInfoByActionApiName_ResourceRequestConfig;
export declare function coerceKeyParam(config: adapter$45$utils_UncoercedConfiguration<types_QuickActionInfoRepresentation_KeyParams, any>): types_QuickActionInfoRepresentation_KeyParams;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetQuickActionInfoConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetQuickActionInfoConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetQuickActionInfoConfig>): adapter$45$utils_Untrusted<GetQuickActionInfoConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetQuickActionInfoConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetQuickActionInfoConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetQuickActionInfoConfig): $64$luvio_engine_Snapshot<types_QuickActionInfoRepresentation_QuickActionInfoRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetQuickActionInfoConfig, resourceParams: resources_getUiApiActionsQuickActionInfoByActionApiName_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_QuickActionInfoRepresentation_QuickActionInfoRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_QuickActionInfoRepresentation_QuickActionInfoRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_QuickActionInfoRepresentation_QuickActionInfoRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_QuickActionInfoRepresentation_QuickActionInfoRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetQuickActionInfoConfig, resourceParams: resources_getUiApiActionsQuickActionInfoByActionApiName_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetQuickActionInfoConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_QuickActionInfoRepresentation_QuickActionInfoRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetQuickActionInfoConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_QuickActionInfoRepresentation_QuickActionInfoRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_QuickActionInfoRepresentation_QuickActionInfoRepresentation>): $64$luvio_engine_Snapshot<types_QuickActionInfoRepresentation_QuickActionInfoRepresentation, any>;
export declare const getQuickActionInfoAdapterFactory: $64$luvio_engine_AdapterFactory<GetQuickActionInfoConfig, types_QuickActionInfoRepresentation_QuickActionInfoRepresentation>;
export declare const notifyChangeFactory: (luvio: $64$luvio_engine_Luvio, options?: $64$luvio_engine_DispatchResourceRequestContext) => (configs: adapter$45$utils_UncoercedConfiguration<types_QuickActionInfoRepresentation_KeyParams, any>[]) => void;
