import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { RelatedListRecordsSingleBatchInputRepresentation as types_RelatedListRecordsSingleBatchInputRepresentation_RelatedListRecordsSingleBatchInputRepresentation } from '../types/RelatedListRecordsSingleBatchInputRepresentation';
import { ResourceRequestConfig as resources_postUiApiRelatedListRecordsBatchByParentRecordId_ResourceRequestConfig } from '../resources/postUiApiRelatedListRecordsBatchByParentRecordId';
import { RelatedListRecordCollectionBatchRepresentation as types_RelatedListRecordCollectionBatchRepresentation_RelatedListRecordCollectionBatchRepresentation } from '../types/RelatedListRecordCollectionBatchRepresentation';
export declare const adapterName = "getRelatedListRecordsBatch";
export declare const getRelatedListRecordsBatch_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getRelatedListRecordsBatch_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetRelatedListRecordsBatchConfig {
    parentRecordId: string;
    relatedListParameters: Array<types_RelatedListRecordsSingleBatchInputRepresentation_RelatedListRecordsSingleBatchInputRepresentation>;
}
export declare const createResourceParams: (config: GetRelatedListRecordsBatchConfig) => resources_postUiApiRelatedListRecordsBatchByParentRecordId_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordsBatchConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordsBatchConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetRelatedListRecordsBatchConfig>): adapter$45$utils_Untrusted<GetRelatedListRecordsBatchConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetRelatedListRecordsBatchConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordsBatchConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordsBatchConfig): $64$luvio_engine_Snapshot<types_RelatedListRecordCollectionBatchRepresentation_RelatedListRecordCollectionBatchRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordsBatchConfig, resourceParams: resources_postUiApiRelatedListRecordsBatchByParentRecordId_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_RelatedListRecordCollectionBatchRepresentation_RelatedListRecordCollectionBatchRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_RelatedListRecordCollectionBatchRepresentation_RelatedListRecordCollectionBatchRepresentation, any> | import("@luvio/engine").StaleSnapshot<types_RelatedListRecordCollectionBatchRepresentation_RelatedListRecordCollectionBatchRepresentation, any> | import("@luvio/engine").PendingSnapshot<types_RelatedListRecordCollectionBatchRepresentation_RelatedListRecordCollectionBatchRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordsBatchConfig, resourceParams: resources_postUiApiRelatedListRecordsBatchByParentRecordId_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordsBatchConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_RelatedListRecordCollectionBatchRepresentation_RelatedListRecordCollectionBatchRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetRelatedListRecordsBatchConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_RelatedListRecordCollectionBatchRepresentation_RelatedListRecordCollectionBatchRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_RelatedListRecordCollectionBatchRepresentation_RelatedListRecordCollectionBatchRepresentation>): $64$luvio_engine_Snapshot<types_RelatedListRecordCollectionBatchRepresentation_RelatedListRecordCollectionBatchRepresentation, any>;
export declare const getRelatedListRecordsBatchAdapterFactory: $64$luvio_engine_AdapterFactory<GetRelatedListRecordsBatchConfig, types_RelatedListRecordCollectionBatchRepresentation_RelatedListRecordCollectionBatchRepresentation>;
