import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ActionRelatedListSingleBatchInputRepresentation as types_ActionRelatedListSingleBatchInputRepresentation_ActionRelatedListSingleBatchInputRepresentation } from '../types/ActionRelatedListSingleBatchInputRepresentation';
import { ResourceRequestConfig as resources_postUiApiActionsRecordRelatedListBatchByRecordIds_ResourceRequestConfig } from '../resources/postUiApiActionsRecordRelatedListBatchByRecordIds';
import { ActionRelatedListsCollectionBatchRepresentation as types_ActionRelatedListsCollectionBatchRepresentation_ActionRelatedListsCollectionBatchRepresentation } from '../types/ActionRelatedListsCollectionBatchRepresentation';
export declare const adapterName = "getRelatedListsActions";
export declare const getRelatedListsActions_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getRelatedListsActions_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetRelatedListsActionsConfig {
    recordIds: Array<string>;
    relatedListsActionParameters: Array<types_ActionRelatedListSingleBatchInputRepresentation_ActionRelatedListSingleBatchInputRepresentation>;
}
export declare const createResourceParams: (config: GetRelatedListsActionsConfig) => resources_postUiApiActionsRecordRelatedListBatchByRecordIds_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetRelatedListsActionsConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetRelatedListsActionsConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetRelatedListsActionsConfig>): adapter$45$utils_Untrusted<GetRelatedListsActionsConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetRelatedListsActionsConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetRelatedListsActionsConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRelatedListsActionsConfig): $64$luvio_engine_Snapshot<types_ActionRelatedListsCollectionBatchRepresentation_ActionRelatedListsCollectionBatchRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetRelatedListsActionsConfig, resourceParams: resources_postUiApiActionsRecordRelatedListBatchByRecordIds_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_ActionRelatedListsCollectionBatchRepresentation_ActionRelatedListsCollectionBatchRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_ActionRelatedListsCollectionBatchRepresentation_ActionRelatedListsCollectionBatchRepresentation, any> | import("@luvio/engine").StaleSnapshot<types_ActionRelatedListsCollectionBatchRepresentation_ActionRelatedListsCollectionBatchRepresentation, any> | import("@luvio/engine").PendingSnapshot<types_ActionRelatedListsCollectionBatchRepresentation_ActionRelatedListsCollectionBatchRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetRelatedListsActionsConfig, resourceParams: resources_postUiApiActionsRecordRelatedListBatchByRecordIds_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRelatedListsActionsConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_ActionRelatedListsCollectionBatchRepresentation_ActionRelatedListsCollectionBatchRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetRelatedListsActionsConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_ActionRelatedListsCollectionBatchRepresentation_ActionRelatedListsCollectionBatchRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_ActionRelatedListsCollectionBatchRepresentation_ActionRelatedListsCollectionBatchRepresentation>): $64$luvio_engine_Snapshot<types_ActionRelatedListsCollectionBatchRepresentation_ActionRelatedListsCollectionBatchRepresentation, any>;
export declare const getRelatedListsActionsAdapterFactory: $64$luvio_engine_AdapterFactory<GetRelatedListsActionsConfig, types_ActionRelatedListsCollectionBatchRepresentation_ActionRelatedListsCollectionBatchRepresentation>;
