import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ListFilterByInfoInputRepresentation as types_ListFilterByInfoInputRepresentation_ListFilterByInfoInputRepresentation } from '../types/ListFilterByInfoInputRepresentation';
import { ListScopeInputRepresentation as types_ListScopeInputRepresentation_ListScopeInputRepresentation } from '../types/ListScopeInputRepresentation';
import { ResourceRequestConfig as resources_patchUiApiListInfoByListViewApiNameAndObjectApiName_ResourceRequestConfig } from '../resources/patchUiApiListInfoByListViewApiNameAndObjectApiName';
import { ListInfoRepresentation as types_ListInfoRepresentation_ListInfoRepresentation } from '../types/ListInfoRepresentation';
export declare const adapterName = "updateListInfoByName";
export declare const updateListInfoByName_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const updateListInfoByName_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface UpdateListInfoByNameConfig {
    listViewApiName: string;
    objectApiName: string;
    displayColumns?: Array<string>;
    filterLogicString?: string;
    filteredByInfo?: Array<types_ListFilterByInfoInputRepresentation_ListFilterByInfoInputRepresentation>;
    label?: string;
    listShares?: Array<string>;
    scope?: types_ListScopeInputRepresentation_ListScopeInputRepresentation;
    visibility?: string;
}
export declare const createResourceParams: (config: UpdateListInfoByNameConfig) => resources_patchUiApiListInfoByListViewApiNameAndObjectApiName_ResourceRequestConfig;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<UpdateListInfoByNameConfig>): adapter$45$utils_Untrusted<UpdateListInfoByNameConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): UpdateListInfoByNameConfig | null;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: UpdateListInfoByNameConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<import("@luvio/engine").FulfilledSnapshot<types_ListInfoRepresentation_ListInfoRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_ListInfoRepresentation_ListInfoRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_ListInfoRepresentation_ListInfoRepresentation, any>>;
export declare const updateListInfoByNameAdapterFactory: $64$luvio_engine_AdapterFactory<UpdateListInfoByNameConfig, types_ListInfoRepresentation_ListInfoRepresentation>;
