import { Luvio as $64$luvio_engine_Luvio, Fragment as $64$luvio_engine_Fragment, FetchResponse as $64$luvio_engine_FetchResponse, FulfilledSnapshot as $64$luvio_engine_FulfilledSnapshot, StaleSnapshot as $64$luvio_engine_StaleSnapshot, PendingSnapshot as $64$luvio_engine_PendingSnapshot, ResourceRequest as $64$luvio_engine_ResourceRequest } from '@luvio/engine';
import { QuickActionExecutionRepresentation as types_QuickActionExecutionRepresentation_QuickActionExecutionRepresentation } from '../types/QuickActionExecutionRepresentation';
export interface ResourceRequestConfig {
    urlParams: {
        actionApiName: string;
    };
    body: {
        allowSaveOnDuplicate?: boolean;
        apiName: string;
        contextId?: string;
        fields: {
            [key: string]: string | number | null | boolean;
        };
    };
}
export declare function select(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_Fragment;
export declare function getResponseCacheKeys(storeKeyMap: any, luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: types_QuickActionExecutionRepresentation_QuickActionExecutionRepresentation): void;
export declare function ingestSuccess(luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_QuickActionExecutionRepresentation_QuickActionExecutionRepresentation>): $64$luvio_engine_FulfilledSnapshot<types_QuickActionExecutionRepresentation_QuickActionExecutionRepresentation, {}> | $64$luvio_engine_StaleSnapshot<types_QuickActionExecutionRepresentation_QuickActionExecutionRepresentation, {}> | $64$luvio_engine_PendingSnapshot<types_QuickActionExecutionRepresentation_QuickActionExecutionRepresentation, any>;
export declare function createResourceRequest(config: ResourceRequestConfig): $64$luvio_engine_ResourceRequest;
export default createResourceRequest;
