import { Luvio as $64$luvio_engine_Luvio, Fragment as $64$luvio_engine_Fragment, FetchResponse as $64$luvio_engine_FetchResponse, FulfilledSnapshot as $64$luvio_engine_FulfilledSnapshot, StaleSnapshot as $64$luvio_engine_StaleSnapshot, PendingSnapshot as $64$luvio_engine_PendingSnapshot, ResourceRequest as $64$luvio_engine_ResourceRequest } from '@luvio/engine';
import { RecordLayoutUserStateRepresentation as types_RecordLayoutUserStateRepresentation_RecordLayoutUserStateRepresentation } from '../types/RecordLayoutUserStateRepresentation';
export interface ResourceRequestConfig {
    urlParams: {
        objectApiName: string;
    };
    queryParams: {
        formFactor?: string;
        layoutType?: string;
        mode?: string;
        recordTypeId?: string;
    };
    body: {
        sectionUserStates: {
            [key: string]: {};
        };
    };
}
export declare function select(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_Fragment;
export declare function getResponseCacheKeys(storeKeyMap: any, luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: types_RecordLayoutUserStateRepresentation_RecordLayoutUserStateRepresentation): void;
export declare function ingestSuccess(luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_RecordLayoutUserStateRepresentation_RecordLayoutUserStateRepresentation>): $64$luvio_engine_FulfilledSnapshot<types_RecordLayoutUserStateRepresentation_RecordLayoutUserStateRepresentation, {}> | $64$luvio_engine_StaleSnapshot<types_RecordLayoutUserStateRepresentation_RecordLayoutUserStateRepresentation, {}> | $64$luvio_engine_PendingSnapshot<types_RecordLayoutUserStateRepresentation_RecordLayoutUserStateRepresentation, any>;
export declare function createResourceRequest(config: ResourceRequestConfig): $64$luvio_engine_ResourceRequest;
export default createResourceRequest;
