import { ListOrderedByInfoInputRepresentation as types_ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation } from '../types/ListOrderedByInfoInputRepresentation';
import { Luvio as $64$luvio_engine_Luvio, Fragment as $64$luvio_engine_Fragment, FetchResponse as $64$luvio_engine_FetchResponse, FulfilledSnapshot as $64$luvio_engine_FulfilledSnapshot, StaleSnapshot as $64$luvio_engine_StaleSnapshot, PendingSnapshot as $64$luvio_engine_PendingSnapshot, ResourceRequest as $64$luvio_engine_ResourceRequest } from '@luvio/engine';
import { RelatedListUserPreferencesRepresentation as types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation } from '../types/RelatedListUserPreferencesRepresentation';
export interface ResourceRequestConfig {
    urlParams: {
        preferencesId: string;
    };
    body: {
        columnWidths?: {
            [key: string]: number;
        };
        columnWrap?: {
            [key: string]: boolean;
        };
        orderedBy?: Array<types_ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation>;
    };
}
export declare function select(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_Fragment;
export declare function getResponseCacheKeys(storeKeyMap: any, luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation): void;
export declare function ingestSuccess(luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation>): $64$luvio_engine_FulfilledSnapshot<types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation, {}> | $64$luvio_engine_StaleSnapshot<types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation, {}> | $64$luvio_engine_PendingSnapshot<types_RelatedListUserPreferencesRepresentation_RelatedListUserPreferencesRepresentation, any>;
export declare function createResourceRequest(config: ResourceRequestConfig): $64$luvio_engine_ResourceRequest;
export default createResourceRequest;
