import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentUnionSelection as $64$luvio_engine_FragmentUnionSelection, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare enum DiscriminatorValues {
    EmptySpace = "EmptySpace",
    ReportChart = "ReportChart",
    VisualforcePage = "VisualforcePage",
    Canvas = "Canvas",
    Field = "Field",
    CustomLink = "CustomLink"
}
export declare const VERSION = "be09c96477e3e9272fae7f4d64580e95";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: AbstractRecordLayoutComponentRepresentation, existing: AbstractRecordLayoutComponentRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): AbstractRecordLayoutComponentRepresentationNormalized;
export declare const selectChildren: () => $64$luvio_engine_FragmentUnionSelection;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: AbstractRecordLayoutComponentRepresentationNormalized, incoming: AbstractRecordLayoutComponentRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare const discriminatorIngest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: AbstractRecordLayoutComponentRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Record layout component.
 *
 * Keys:
 *    (none)
 */
export interface AbstractRecordLayoutComponentRepresentationNormalized {
    /** The API name of the field powering this component, if there is one. The API name of the field if the componentType is Field. The API name of the canvas app if the componentType is Canvas. */
    apiName: string | null;
    /** Component type. */
    componentType: string;
}
/**
 * Record layout component.
 *
 * Keys:
 *    (none)
 */
export interface AbstractRecordLayoutComponentRepresentation {
    apiName: string | null;
    componentType: string;
}
