import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "bab371abd4de5aea22d80f5c9843eb8a";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: CopilotQuickActionParameterRepresentation, existing: CopilotQuickActionParameterRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): CopilotQuickActionParameterRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: CopilotQuickActionParameterRepresentationNormalized, incoming: CopilotQuickActionParameterRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: CopilotQuickActionParameterRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Quick Action Parameter representation for a specific action api name
 *
 * Keys:
 *    (none)
 */
export interface CopilotQuickActionParameterRepresentationNormalized {
    /** ETag like field, readOnly, handy while caching. */
    eTag: string;
    /** copilot action parameter name */
    parameterName: string;
    /** copilot quick action parameter value */
    parameterValue: string;
}
/**
 * Quick Action Parameter representation for a specific action api name
 *
 * Keys:
 *    (none)
 */
export interface CopilotQuickActionParameterRepresentation {
    eTag: string;
    parameterName: string;
    parameterValue: string;
}
