import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "d77026c4d63ef00cdd7e3d600687a40d";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListObjectScopeAvailableEntityRepresentation, existing: ListObjectScopeAvailableEntityRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListObjectScopeAvailableEntityRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListObjectScopeAvailableEntityRepresentationNormalized, incoming: ListObjectScopeAvailableEntityRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListObjectScopeAvailableEntityRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * ListObjectScopeAvailableEntityRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListObjectScopeAvailableEntityRepresentationNormalized {
    /** The id for this scope. */
    id: string;
    /** The label for this scope. */
    label: string;
}
/**
 * ListObjectScopeAvailableEntityRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListObjectScopeAvailableEntityRepresentation {
    id: string;
    label: string;
}
