import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "c29ebfac4b3c0bb310b2f4272ef6f723";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: QnASearchResultRepresentation, existing: QnASearchResultRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): QnASearchResultRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: QnASearchResultRepresentationNormalized, incoming: QnASearchResultRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: QnASearchResultRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Question and Answer Response
 *
 * Keys:
 *    (none)
 */
export interface QnASearchResultRepresentationNormalized {
    /** The record’s object API label */
    objectApiLabel: string;
    /** The record’s object API name */
    objectApiName: string;
    /** The record’s snippet which includes the answer */
    passage: string;
    /** The ID of the record */
    recordId: string;
    /** The record’s title */
    title: string;
}
/**
 * Question and Answer Response
 *
 * Keys:
 *    (none)
 */
export interface QnASearchResultRepresentation {
    objectApiLabel: string;
    objectApiName: string;
    passage: string;
    recordId: string;
    title: string;
}
