import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "bd749d8f5d5604f98640c0800d211389";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: RecordLayoutSectionUserStateRepresentation, existing: RecordLayoutSectionUserStateRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RecordLayoutSectionUserStateRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RecordLayoutSectionUserStateRepresentationNormalized, incoming: RecordLayoutSectionUserStateRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RecordLayoutSectionUserStateRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Record layout section user state.
 *
 * Keys:
 *    (none)
 */
export interface RecordLayoutSectionUserStateRepresentationNormalized {
    /** Indicates whether the section should initially be displayed as collapsed. */
    collapsed: boolean;
    /** Section ID. */
    id: string;
}
/**
 * Record layout section user state.
 *
 * Keys:
 *    (none)
 */
export interface RecordLayoutSectionUserStateRepresentation {
    collapsed: boolean;
    id: string;
}
