import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, FragmentSelection as $64$luvio_engine_FragmentSelection, LinkSelection as $64$luvio_engine_LinkSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
import { SimpleRelatedListInfoResultRepresentation as SimpleRelatedListInfoResultRepresentation_SimpleRelatedListInfoResultRepresentation } from './SimpleRelatedListInfoResultRepresentation';
export declare const VERSION = "ad2348717545df0e54051965df2ad263";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: RelatedListInfoBatchRepresentation, existing: RelatedListInfoBatchRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RelatedListInfoBatchRepresentationNormalized;
export interface DynamicIngestParams {
    results: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: RelatedListInfoBatchRepresentation, existing: RelatedListInfoBatchRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => RelatedListInfoBatchRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export interface DynamicSelectParams {
    results?: $64$luvio_engine_LinkSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams) => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RelatedListInfoBatchRepresentationNormalized, incoming: RelatedListInfoBatchRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RelatedListInfoBatchRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 * RelatedListInfoBatchRepresentation
 *
 * Keys:
 *    (none)
 */
export interface RelatedListInfoBatchRepresentationNormalized {
    /** Collection of batch result items. One for each request input. */
    results: Array<$64$luvio_engine_StoreLink>;
}
/**
 * RelatedListInfoBatchRepresentation
 *
 * Keys:
 *    (none)
 */
export interface RelatedListInfoBatchRepresentation {
    results: Array<SimpleRelatedListInfoResultRepresentation_SimpleRelatedListInfoResultRepresentation>;
}
