import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "ebb9b7caef03d94323cacb8c0a8d8e05";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: SearchDataCategoryOutputRepresentation, existing: SearchDataCategoryOutputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SearchDataCategoryOutputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: SearchDataCategoryOutputRepresentationNormalized, incoming: SearchDataCategoryOutputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SearchDataCategoryOutputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Search data category output response.
 *
 * Keys:
 *    (none)
 */
export interface SearchDataCategoryOutputRepresentationNormalized {
    /** Group name of the data category applied */
    groupName: string;
    /** Operator for the data category */
    operator: string;
    /** Values applied for the data category */
    values: Array<string>;
}
/**
 * Search data category output response.
 *
 * Keys:
 *    (none)
 */
export interface SearchDataCategoryOutputRepresentation {
    groupName: string;
    operator: string;
    values: Array<string>;
}
