import { SearchFieldFilterAttributesRepresentation as SearchFieldFilterAttributesRepresentation_SearchFieldFilterAttributesRepresentation } from './SearchFieldFilterAttributesRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "2be1487c0cb8ac23fdeab8604240681b";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: SearchFieldFilterTextAttributesRepresentation, existing: SearchFieldFilterTextAttributesRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SearchFieldFilterTextAttributesRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: SearchFieldFilterTextAttributesRepresentationNormalized, incoming: SearchFieldFilterTextAttributesRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SearchFieldFilterTextAttributesRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Attributes for Text affordances.
 *
 * Keys:
 *    (none)
 */
export interface SearchFieldFilterTextAttributesRepresentationNormalized extends SearchFieldFilterAttributesRepresentation_SearchFieldFilterAttributesRepresentation {
    /** Placeholder to default the text affordance. */
    placeholder: string;
}
/**
 * Attributes for Text affordances.
 *
 * Keys:
 *    (none)
 */
export interface SearchFieldFilterTextAttributesRepresentation extends SearchFieldFilterAttributesRepresentation_SearchFieldFilterAttributesRepresentation {
    placeholder: string;
    affordance: 'Text';
}
