import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentUnionSelection as $64$luvio_engine_FragmentUnionSelection, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare enum DiscriminatorValues {
    Field = "Field",
    DataCategory = "DataCategory"
}
export declare const VERSION = "0e68638d2ecbc6d68a4667abbc01f186";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: SearchFilterDefinitionRepresentation, existing: SearchFilterDefinitionRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SearchFilterDefinitionRepresentationNormalized;
export declare const selectChildren: () => $64$luvio_engine_FragmentUnionSelection;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: SearchFilterDefinitionRepresentationNormalized, incoming: SearchFilterDefinitionRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare const discriminatorIngest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SearchFilterDefinitionRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Definition of the different filters.
 *
 * Keys:
 *    (none)
 */
export interface SearchFilterDefinitionRepresentationNormalized {
    /** List of default values */
    defaultValues: Array<string>;
    /** An optional help message. */
    helpMessage?: string | null;
    /** The filter display label. */
    label: string;
    /** Type of the definition filter */
    type: string;
}
/**
 * Definition of the different filters.
 *
 * Keys:
 *    (none)
 */
export interface SearchFilterDefinitionRepresentation {
    defaultValues: Array<string>;
    helpMessage?: string | null;
    label: string;
    type: string;
}
