import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "2fd4bb345487199bb654769daae6d414";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ThemeInfoRepresentation, existing: ThemeInfoRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ThemeInfoRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ThemeInfoRepresentationNormalized, incoming: ThemeInfoRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ThemeInfoRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Theme info.
 *
 * Keys:
 *    (none)
 */
export interface ThemeInfoRepresentationNormalized {
    /** Color. */
    color: string;
    /** Icon URL. */
    iconUrl: string | null;
}
/**
 * Theme info.
 *
 * Keys:
 *    (none)
 */
export interface ThemeInfoRepresentation {
    color: string;
    iconUrl: string | null;
}
