import { ValidationRuleRepresentation as ValidationRuleRepresentation_ValidationRuleRepresentation } from './ValidationRuleRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "d89d24cee7972a36d3133d05c0051d55";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ValidationRulesRepresentation, existing: ValidationRulesRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ValidationRulesRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ValidationRulesRepresentationNormalized, incoming: ValidationRulesRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ValidationRulesRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Validation rules metadata.
 *
 * Keys:
 *    (none)
 */
export interface ValidationRulesRepresentationNormalized {
    /** ETag like field, readOnly, handy while caching. */
    eTag: string;
    /** List of validation rules for an entity */
    rules: Array<ValidationRuleRepresentation_ValidationRuleRepresentation>;
}
/**
 * Validation rules metadata.
 *
 * Keys:
 *    (none)
 */
export interface ValidationRulesRepresentation {
    eTag: string;
    rules: Array<ValidationRuleRepresentation_ValidationRuleRepresentation>;
}
