import type { StoreLink } from '@luvio/engine';
import type { RecordFieldTrie } from '../../util/records';
/**
 * Adds fields listed in the two trie parameters into the store link.
 * Functionally analogous to markNulledOutRequiredFields.
 * @param fieldsTrie
 * @param optionalFieldsTrie
 * @param storeLink
 */
export declare function addFieldsToStoreLink(fieldsTrie: RecordFieldTrie, optionalFieldsTrie: RecordFieldTrie, storeLink: StoreLink): void;
