import type { Luvio, NormalizedKeyMetadata } from '@luvio/engine';
import { StoreKeySet } from '@luvio/engine';
import type { ResourceRequestConfig as getUiApiRecordsByRecordId_ResourceRequestConfig } from '../../../generated/resources/getUiApiRecordsByRecordId';
import type { BatchRepresentation } from '../../../generated/types/BatchRepresentation';
import type { BatchResultRepresentation } from '../../../generated/types/BatchResultRepresentation';
export declare const nonCachedErrors: {
    [key: string]: {
        expiration: number;
        response: any;
        status: number;
    } | undefined;
};
export declare function ingestSuccessChildResourceParams(luvio: Luvio, childResourceParamsArray: getUiApiRecordsByRecordId_ResourceRequestConfig[], childEnvelopes: BatchResultRepresentation[], serverRequestCount?: number): {
    childSnapshotData: BatchRepresentation;
    seenRecords: StoreKeySet<string | NormalizedKeyMetadata>;
    snapshotState: string;
};
