export * from './generated/artifacts/sfdc_graphqlAdapters';
import { configurationForGraphQLAdapters } from './configuration';
import type { ConfigurationForGraphQLAdapters } from './configuration';
import type { Instrument } from './instrumentation';
import { refresh } from '@salesforce/lds-bindings';
export type Registration = {
    id: '@salesforce/lds-adapters-uiapi/graphql';
    configuration: ConfigurationForGraphQLAdapters;
    instrument: Instrument;
};
export { ConfigurationForGraphQLAdapters as Configuration, configurationForGraphQLAdapters as configuration, };
export { refresh as refreshGraphQL };
export { graphqlAdapterFactory } from './main';
