import type { AdapterFactory, Luvio, Snapshot, StoreLookup } from '@luvio/engine';
import type { GetMruListUiConfig } from '../../generated/adapters/getMruListUi';
import type { ListInfoRepresentation } from '../../generated/types/ListInfoRepresentation';
import type { ListUiRepresentation } from '../../generated/types/ListUiRepresentation';
import type { ListFields } from '../../util/lists';
export declare function buildCachedSnapshot(luvio: Luvio, storeLookup: StoreLookup<ListUiRepresentation>, config: GetMruListUiConfig, listInfo: ListInfoRepresentation, fields?: ListFields): Snapshot<ListUiRepresentation>;
export declare const factory: AdapterFactory<GetMruListUiConfig, ListUiRepresentation>;
