import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiObjectInfoPicklistValuesByObjectApiNameAndRecordTypeId_ResourceRequestConfig } from '../resources/getUiApiObjectInfoPicklistValuesByObjectApiNameAndRecordTypeId';
import { PicklistValuesCollectionRepresentation as types_PicklistValuesCollectionRepresentation_PicklistValuesCollectionRepresentation } from '../types/PicklistValuesCollectionRepresentation';
export declare const adapterName = "getPicklistValuesByRecordType";
export declare const getPicklistValuesByRecordType_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getPicklistValuesByRecordType_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetPicklistValuesByRecordTypeConfig {
    objectApiName: string;
    recordTypeId: string;
}
export declare const createResourceParams: (config: GetPicklistValuesByRecordTypeConfig) => resources_getUiApiObjectInfoPicklistValuesByObjectApiNameAndRecordTypeId_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetPicklistValuesByRecordTypeConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetPicklistValuesByRecordTypeConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetPicklistValuesByRecordTypeConfig>): adapter$45$utils_Untrusted<GetPicklistValuesByRecordTypeConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetPicklistValuesByRecordTypeConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetPicklistValuesByRecordTypeConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetPicklistValuesByRecordTypeConfig): $64$luvio_engine_Snapshot<types_PicklistValuesCollectionRepresentation_PicklistValuesCollectionRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetPicklistValuesByRecordTypeConfig, resourceParams: resources_getUiApiObjectInfoPicklistValuesByObjectApiNameAndRecordTypeId_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_PicklistValuesCollectionRepresentation_PicklistValuesCollectionRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_PicklistValuesCollectionRepresentation_PicklistValuesCollectionRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_PicklistValuesCollectionRepresentation_PicklistValuesCollectionRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_PicklistValuesCollectionRepresentation_PicklistValuesCollectionRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetPicklistValuesByRecordTypeConfig, resourceParams: resources_getUiApiObjectInfoPicklistValuesByObjectApiNameAndRecordTypeId_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetPicklistValuesByRecordTypeConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_PicklistValuesCollectionRepresentation_PicklistValuesCollectionRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetPicklistValuesByRecordTypeConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_PicklistValuesCollectionRepresentation_PicklistValuesCollectionRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_PicklistValuesCollectionRepresentation_PicklistValuesCollectionRepresentation>): $64$luvio_engine_Snapshot<types_PicklistValuesCollectionRepresentation_PicklistValuesCollectionRepresentation, any>;
export declare const getPicklistValuesByRecordTypeAdapterFactory: $64$luvio_engine_AdapterFactory<GetPicklistValuesByRecordTypeConfig, types_PicklistValuesCollectionRepresentation_PicklistValuesCollectionRepresentation>;
