import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { UncoercedConfiguration as adapter$45$utils_UncoercedConfiguration, Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiActionsRecordDefaultsByActionApiName_ResourceRequestConfig } from '../resources/getUiApiActionsRecordDefaultsByActionApiName';
import { KeyParams as types_QuickActionDefaultsRepresentation_KeyParams, QuickActionDefaultsRepresentation as types_QuickActionDefaultsRepresentation_QuickActionDefaultsRepresentation } from '../types/QuickActionDefaultsRepresentation';
export declare const adapterName = "getQuickActionDefaults";
export declare const getQuickActionDefaults_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getQuickActionDefaults_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetQuickActionDefaultsConfig {
    actionApiName: string;
    optionalFields?: Array<string>;
    parentRecordId?: string;
}
export declare const createResourceParams: (config: GetQuickActionDefaultsConfig) => resources_getUiApiActionsRecordDefaultsByActionApiName_ResourceRequestConfig;
export declare function coerceKeyParam(config: adapter$45$utils_UncoercedConfiguration<types_QuickActionDefaultsRepresentation_KeyParams, any>): types_QuickActionDefaultsRepresentation_KeyParams;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetQuickActionDefaultsConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetQuickActionDefaultsConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetQuickActionDefaultsConfig>): adapter$45$utils_Untrusted<GetQuickActionDefaultsConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetQuickActionDefaultsConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetQuickActionDefaultsConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetQuickActionDefaultsConfig): $64$luvio_engine_Snapshot<types_QuickActionDefaultsRepresentation_QuickActionDefaultsRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetQuickActionDefaultsConfig, resourceParams: resources_getUiApiActionsRecordDefaultsByActionApiName_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_QuickActionDefaultsRepresentation_QuickActionDefaultsRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_QuickActionDefaultsRepresentation_QuickActionDefaultsRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_QuickActionDefaultsRepresentation_QuickActionDefaultsRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_QuickActionDefaultsRepresentation_QuickActionDefaultsRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetQuickActionDefaultsConfig, resourceParams: resources_getUiApiActionsRecordDefaultsByActionApiName_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetQuickActionDefaultsConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_QuickActionDefaultsRepresentation_QuickActionDefaultsRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetQuickActionDefaultsConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_QuickActionDefaultsRepresentation_QuickActionDefaultsRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_QuickActionDefaultsRepresentation_QuickActionDefaultsRepresentation>): $64$luvio_engine_Snapshot<types_QuickActionDefaultsRepresentation_QuickActionDefaultsRepresentation, any>;
export declare const getQuickActionDefaultsAdapterFactory: $64$luvio_engine_AdapterFactory<GetQuickActionDefaultsConfig, types_QuickActionDefaultsRepresentation_QuickActionDefaultsRepresentation>;
export declare const notifyChangeFactory: (luvio: $64$luvio_engine_Luvio, options?: $64$luvio_engine_DispatchResourceRequestContext) => (configs: adapter$45$utils_UncoercedConfiguration<types_QuickActionDefaultsRepresentation_KeyParams, any>[]) => void;
