import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiRecordDefaultsCreateByObjectApiName_ResourceRequestConfig } from '../resources/getUiApiRecordDefaultsCreateByObjectApiName';
import { RecordDefaultsRepresentation as types_RecordDefaultsRepresentation_RecordDefaultsRepresentation } from '../types/RecordDefaultsRepresentation';
export declare const adapterName = "getRecordCreateDefaults";
export declare const getRecordCreateDefaults_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getRecordCreateDefaults_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetRecordCreateDefaultsConfig {
    objectApiName: string;
    formFactor?: string;
    optionalFields?: Array<string>;
    recordTypeId?: string;
}
export declare const createResourceParams: (config: GetRecordCreateDefaultsConfig) => resources_getUiApiRecordDefaultsCreateByObjectApiName_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetRecordCreateDefaultsConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetRecordCreateDefaultsConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetRecordCreateDefaultsConfig>): adapter$45$utils_Untrusted<GetRecordCreateDefaultsConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetRecordCreateDefaultsConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetRecordCreateDefaultsConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRecordCreateDefaultsConfig): $64$luvio_engine_Snapshot<types_RecordDefaultsRepresentation_RecordDefaultsRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetRecordCreateDefaultsConfig, resourceParams: resources_getUiApiRecordDefaultsCreateByObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_RecordDefaultsRepresentation_RecordDefaultsRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_RecordDefaultsRepresentation_RecordDefaultsRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_RecordDefaultsRepresentation_RecordDefaultsRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_RecordDefaultsRepresentation_RecordDefaultsRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetRecordCreateDefaultsConfig, resourceParams: resources_getUiApiRecordDefaultsCreateByObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRecordCreateDefaultsConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_RecordDefaultsRepresentation_RecordDefaultsRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetRecordCreateDefaultsConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_RecordDefaultsRepresentation_RecordDefaultsRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_RecordDefaultsRepresentation_RecordDefaultsRepresentation>): $64$luvio_engine_Snapshot<types_RecordDefaultsRepresentation_RecordDefaultsRepresentation, any>;
export declare const getRecordCreateDefaultsAdapterFactory: $64$luvio_engine_AdapterFactory<GetRecordCreateDefaultsConfig, types_RecordDefaultsRepresentation_RecordDefaultsRepresentation>;
