import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiRelatedListInfoByParentObjectApiNameAndRelatedListId_ResourceRequestConfig } from '../resources/getUiApiRelatedListInfoByParentObjectApiNameAndRelatedListId';
import { RelatedListInfoRepresentation as types_RelatedListInfoRepresentation_RelatedListInfoRepresentation } from '../types/RelatedListInfoRepresentation';
export declare const adapterName = "getRelatedListInfo";
export declare const getRelatedListInfo_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getRelatedListInfo_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetRelatedListInfoConfig {
    parentObjectApiName: string;
    relatedListId: string;
    fields?: Array<string>;
    optionalFields?: Array<string>;
    recordTypeId?: string;
    restrictColumnsToLayout?: boolean;
}
export declare const createResourceParams: (config: GetRelatedListInfoConfig) => resources_getUiApiRelatedListInfoByParentObjectApiNameAndRelatedListId_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetRelatedListInfoConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetRelatedListInfoConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetRelatedListInfoConfig>): adapter$45$utils_Untrusted<GetRelatedListInfoConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetRelatedListInfoConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetRelatedListInfoConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRelatedListInfoConfig): $64$luvio_engine_Snapshot<types_RelatedListInfoRepresentation_RelatedListInfoRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetRelatedListInfoConfig, resourceParams: resources_getUiApiRelatedListInfoByParentObjectApiNameAndRelatedListId_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_RelatedListInfoRepresentation_RelatedListInfoRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_RelatedListInfoRepresentation_RelatedListInfoRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_RelatedListInfoRepresentation_RelatedListInfoRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_RelatedListInfoRepresentation_RelatedListInfoRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetRelatedListInfoConfig, resourceParams: resources_getUiApiRelatedListInfoByParentObjectApiNameAndRelatedListId_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRelatedListInfoConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_RelatedListInfoRepresentation_RelatedListInfoRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetRelatedListInfoConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_RelatedListInfoRepresentation_RelatedListInfoRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_RelatedListInfoRepresentation_RelatedListInfoRepresentation>): $64$luvio_engine_Snapshot<types_RelatedListInfoRepresentation_RelatedListInfoRepresentation, any>;
export declare const getRelatedListInfoAdapterFactory: $64$luvio_engine_AdapterFactory<GetRelatedListInfoConfig, types_RelatedListInfoRepresentation_RelatedListInfoRepresentation>;
