import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_postUiApiActionsPerformQuickActionByActionApiName_ResourceRequestConfig } from '../resources/postUiApiActionsPerformQuickActionByActionApiName';
import { QuickActionExecutionRepresentation as types_QuickActionExecutionRepresentation_QuickActionExecutionRepresentation } from '../types/QuickActionExecutionRepresentation';
export declare const adapterName = "performQuickAction";
export declare const performQuickAction_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const performQuickAction_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface PerformQuickActionConfig {
    actionApiName: string;
    allowSaveOnDuplicate?: boolean;
    apiName: string;
    contextId?: string;
    fields: {
        [key: string]: string | number | null | boolean;
    };
}
export declare const createResourceParams: (config: PerformQuickActionConfig) => resources_postUiApiActionsPerformQuickActionByActionApiName_ResourceRequestConfig;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<PerformQuickActionConfig>): adapter$45$utils_Untrusted<PerformQuickActionConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): PerformQuickActionConfig | null;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: PerformQuickActionConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<import("@luvio/engine").FulfilledSnapshot<types_QuickActionExecutionRepresentation_QuickActionExecutionRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_QuickActionExecutionRepresentation_QuickActionExecutionRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_QuickActionExecutionRepresentation_QuickActionExecutionRepresentation, any>>;
export declare const performQuickActionAdapterFactory: $64$luvio_engine_AdapterFactory<PerformQuickActionConfig, types_QuickActionExecutionRepresentation_QuickActionExecutionRepresentation>;
