import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_patchUiApiActionsPerformQuickActionByActionApiName_ResourceRequestConfig } from '../resources/patchUiApiActionsPerformQuickActionByActionApiName';
import { QuickActionExecutionRepresentation as types_QuickActionExecutionRepresentation_QuickActionExecutionRepresentation } from '../types/QuickActionExecutionRepresentation';
export declare const adapterName = "performUpdateRecordQuickAction";
export declare const performUpdateRecordQuickAction_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const performUpdateRecordQuickAction_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface PerformUpdateRecordQuickActionConfig {
    actionApiName: string;
    allowSaveOnDuplicate?: boolean;
    apiName: string;
    contextId?: string;
    fields: {
        [key: string]: string | number | null | boolean;
    };
}
export declare const createResourceParams: (config: PerformUpdateRecordQuickActionConfig) => resources_patchUiApiActionsPerformQuickActionByActionApiName_ResourceRequestConfig;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<PerformUpdateRecordQuickActionConfig>): adapter$45$utils_Untrusted<PerformUpdateRecordQuickActionConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): PerformUpdateRecordQuickActionConfig | null;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: PerformUpdateRecordQuickActionConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<import("@luvio/engine").FulfilledSnapshot<types_QuickActionExecutionRepresentation_QuickActionExecutionRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_QuickActionExecutionRepresentation_QuickActionExecutionRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_QuickActionExecutionRepresentation_QuickActionExecutionRepresentation, any>>;
export declare const performUpdateRecordQuickActionAdapterFactory: $64$luvio_engine_AdapterFactory<PerformUpdateRecordQuickActionConfig, types_QuickActionExecutionRepresentation_QuickActionExecutionRepresentation>;
