import { ListFilterByInfoInputRepresentation as types_ListFilterByInfoInputRepresentation_ListFilterByInfoInputRepresentation } from '../types/ListFilterByInfoInputRepresentation';
import { ListScopeInputRepresentation as types_ListScopeInputRepresentation_ListScopeInputRepresentation } from '../types/ListScopeInputRepresentation';
import { Luvio as $64$luvio_engine_Luvio, Fragment as $64$luvio_engine_Fragment, FetchResponse as $64$luvio_engine_FetchResponse, FulfilledSnapshot as $64$luvio_engine_FulfilledSnapshot, StaleSnapshot as $64$luvio_engine_StaleSnapshot, PendingSnapshot as $64$luvio_engine_PendingSnapshot, ResourceRequest as $64$luvio_engine_ResourceRequest } from '@luvio/engine';
import { ListInfoRepresentation as types_ListInfoRepresentation_ListInfoRepresentation } from '../types/ListInfoRepresentation';
export interface ResourceRequestConfig {
    urlParams: {
        objectApiName: string;
    };
    body: {
        displayColumns?: Array<string>;
        filterLogicString?: string;
        filteredByInfo?: Array<types_ListFilterByInfoInputRepresentation_ListFilterByInfoInputRepresentation>;
        includeDefaultAttributes?: boolean;
        label?: string;
        listShares?: Array<string>;
        listViewApiName?: string;
        scope?: types_ListScopeInputRepresentation_ListScopeInputRepresentation;
        visibility?: string;
    };
}
export declare function select(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_Fragment;
export declare function getResponseCacheKeys(storeKeyMap: any, luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: types_ListInfoRepresentation_ListInfoRepresentation): void;
export declare function ingestSuccess(luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_ListInfoRepresentation_ListInfoRepresentation>): $64$luvio_engine_FulfilledSnapshot<types_ListInfoRepresentation_ListInfoRepresentation, {}> | $64$luvio_engine_StaleSnapshot<types_ListInfoRepresentation_ListInfoRepresentation, {}> | $64$luvio_engine_PendingSnapshot<types_ListInfoRepresentation_ListInfoRepresentation, any>;
export declare function createResourceRequest(config: ResourceRequestConfig): $64$luvio_engine_ResourceRequest;
export default createResourceRequest;
