import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "cce456e96fd4e8e1113fa154eed706e4";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: FilteredLookupInfoRepresentation, existing: FilteredLookupInfoRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): FilteredLookupInfoRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: FilteredLookupInfoRepresentationNormalized, incoming: FilteredLookupInfoRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: FilteredLookupInfoRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Filtered lookup info.
 *
 * Keys:
 *    (none)
 */
export interface FilteredLookupInfoRepresentationNormalized {
    /** Controlling fields when the lookup filter is dependent on the source object. */
    controllingFields: Array<string>;
    /** Indicates whether the lookup filter is dependent on the source object. */
    dependent: boolean;
    /** Indicates whether the lookup filter is optional. */
    optionalFilter: boolean;
}
/**
 * Filtered lookup info.
 *
 * Keys:
 *    (none)
 */
export interface FilteredLookupInfoRepresentation {
    controllingFields: Array<string>;
    dependent: boolean;
    optionalFilter: boolean;
}
