import { AbstractPicklistValueAttributesRepresentation as AbstractPicklistValueAttributesRepresentation_AbstractPicklistValueAttributesRepresentation } from './AbstractPicklistValueAttributesRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "53893a219bc0888951863f2c44317cac";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: LeadStatusPicklistValueAttributesRepresentation, existing: LeadStatusPicklistValueAttributesRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): LeadStatusPicklistValueAttributesRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: LeadStatusPicklistValueAttributesRepresentationNormalized, incoming: LeadStatusPicklistValueAttributesRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: LeadStatusPicklistValueAttributesRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Additional picklist value attributes for lead statuses.
 *
 * Keys:
 *    (none)
 */
export interface LeadStatusPicklistValueAttributesRepresentationNormalized extends AbstractPicklistValueAttributesRepresentation_AbstractPicklistValueAttributesRepresentation {
    /** True if this status indicates the lead has been converted, otherwise false. For more info, see the doc for the LeadStatus standard object. */
    converted: boolean;
}
/**
 * Additional picklist value attributes for lead statuses.
 *
 * Keys:
 *    (none)
 */
export interface LeadStatusPicklistValueAttributesRepresentation extends AbstractPicklistValueAttributesRepresentation_AbstractPicklistValueAttributesRepresentation {
    converted: boolean;
    picklistAtrributesValueType: 'LeadStatus';
}
