import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
export declare const VERSION = "0b29241fd9ed04bb61fde26b3f558ac4";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    id: string | null;
}
export type ListInfoSummaryRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialListInfoSummaryRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): ListInfoSummaryRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: ListInfoSummaryRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: ListInfoSummaryRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: ListInfoSummaryRepresentation, existing: ListInfoSummaryRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListInfoSummaryRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListInfoSummaryRepresentationNormalized, incoming: ListInfoSummaryRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListInfoSummaryRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * ListInfoSummaryRepresentation
 *
 * Keys:
 *    id (string | null): id
 */
export interface ListInfoSummaryRepresentationNormalized {
    /** The list view's object API name. */
    apiName: string;
    /** Id of the list view. */
    id: string | null;
    /** List view's label. */
    label: string;
    /** List view ui url. */
    url: string;
}
/**
 * ListInfoSummaryRepresentation
 *
 * Keys:
 *    id (string | null): id
 */
export interface ListInfoSummaryRepresentation {
    apiName: string;
    id: string | null;
    label: string;
    url: string;
}
