import { ListScopeEntityRepresentation as ListScopeEntityRepresentation_ListScopeEntityRepresentation } from './ListScopeEntityRepresentation';
import { ListScopeRelatedEntityRepresentation as ListScopeRelatedEntityRepresentation_ListScopeRelatedEntityRepresentation } from './ListScopeRelatedEntityRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "2fe9814e7124b47f59da585483c1b3f9";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListScopeRepresentation, existing: ListScopeRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListScopeRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListScopeRepresentationNormalized, incoming: ListScopeRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListScopeRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * ListScopeRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListScopeRepresentationNormalized {
    /** API name for the scope. */
    apiName: string;
    /** Entity for the scope. */
    entity: ListScopeEntityRepresentation_ListScopeEntityRepresentation | null;
    /** Label for the scope. */
    label: string | null;
    /** Related entity for the scope. */
    relatedEntity: ListScopeRelatedEntityRepresentation_ListScopeRelatedEntityRepresentation | null;
}
/**
 * ListScopeRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListScopeRepresentation {
    apiName: string;
    entity: ListScopeEntityRepresentation_ListScopeEntityRepresentation | null;
    label: string | null;
    relatedEntity: ListScopeRelatedEntityRepresentation_ListScopeRelatedEntityRepresentation | null;
}
