import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentUnionSelection as $64$luvio_engine_FragmentUnionSelection, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare enum DiscriminatorValues {
    Text = "Text",
    Select = "Select"
}
export declare const VERSION = "7943e649ae9bbae64859968c31431447";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: SearchFieldFilterAttributesRepresentation, existing: SearchFieldFilterAttributesRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SearchFieldFilterAttributesRepresentationNormalized;
export declare const selectChildren: () => $64$luvio_engine_FragmentUnionSelection;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: SearchFieldFilterAttributesRepresentationNormalized, incoming: SearchFieldFilterAttributesRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare const discriminatorIngest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SearchFieldFilterAttributesRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Attributes of the different filters.
 *
 * Keys:
 *    (none)
 */
export interface SearchFieldFilterAttributesRepresentationNormalized {
    /** Target affordance for which properties will apply. */
    affordance: string;
}
/**
 * Attributes of the different filters.
 *
 * Keys:
 *    (none)
 */
export interface SearchFieldFilterAttributesRepresentation {
    affordance: string;
}
