import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "6b569c4f017c79193b8498dc140d37ae";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: SearchRecordHighlightRepresentation, existing: SearchRecordHighlightRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SearchRecordHighlightRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: SearchRecordHighlightRepresentationNormalized, incoming: SearchRecordHighlightRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SearchRecordHighlightRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Record-level search information
 *
 * Keys:
 *    (none)
 */
export interface SearchRecordHighlightRepresentationNormalized {
    /** Map of fields with the highlighting */
    fields: {
        [key: string]: string;
    };
    /** Message to represent the record where we highlight some terms */
    snippet: string | null;
}
/**
 * Record-level search information
 *
 * Keys:
 *    (none)
 */
export interface SearchRecordHighlightRepresentation {
    fields: {
        [key: string]: string;
    };
    snippet: string | null;
}
