import { OperationResponseRepresentation as OperationResponseRepresentation_OperationResponseRepresentation } from './OperationResponseRepresentation';
import { ResourceReferenceRepresentation as ResourceReferenceRepresentation_ResourceReferenceRepresentation } from './ResourceReferenceRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "fa2f2ee022243b8ccc8c88315a8f223d";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: WireDataRepresentation, existing: WireDataRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): WireDataRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: WireDataRepresentationNormalized, incoming: WireDataRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: WireDataRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * wire data representation for priming LDS
 *
 * Keys:
 *    (none)
 */
export interface WireDataRepresentationNormalized {
    /** wire data. */
    operationResponseRepresentation: OperationResponseRepresentation_OperationResponseRepresentation;
    /** inputs to the wire. */
    resourceReference: ResourceReferenceRepresentation_ResourceReferenceRepresentation;
    /** wire data value type. */
    valueType: string;
}
/**
 * wire data representation for priming LDS
 *
 * Keys:
 *    (none)
 */
export interface WireDataRepresentation {
    operationResponseRepresentation: OperationResponseRepresentation_OperationResponseRepresentation;
    resourceReference: ResourceReferenceRepresentation_ResourceReferenceRepresentation;
    valueType: string;
}
