/**
 * Returns the field API name.
 * @param value The value from which to get the field API name.
 * @param options Option bag. onlyQualifiedFieldNames is a boolean that allows this function to skip returning invalid FieldApiNames.
 * @returns The field API name.
 */
export default function getFieldApiNamesArray(value: unknown, options?: {
    onlyQualifiedFieldNames: boolean;
}): Array<string> | undefined;
