import type { AdapterValidationConfig } from '../../../generated/adapters/adapter-utils';
import type { GetLayoutConfig } from '../../../generated/adapters/getLayout';
import type { Luvio } from '@luvio/engine';
export type GetLayoutConfigWithDefaults = Omit<Required<GetLayoutConfig>, 'formFactor'>;
export type BuildSnapshotContext = {
    luvio: Luvio;
    config: GetLayoutConfigWithDefaults;
};
export declare const getLayout_ConfigPropertyNames: AdapterValidationConfig;
