import type { Luvio, DispatchResourceRequestContext, Snapshot, UnfulfilledSnapshot } from '@luvio/engine';
import type { GetListRecordsByNameConfig } from '../../../generated/adapters/getListRecordsByName';
import type { ListRecordCollectionRepresentation } from '../../../generated/types/ListRecordCollectionRepresentation';
export declare function buildNetworkSnapshot(luvio: Luvio, config: GetListRecordsByNameConfig, options?: DispatchResourceRequestContext, cacheSnapshot?: UnfulfilledSnapshot<ListRecordCollectionRepresentation>): Promise<Snapshot<ListRecordCollectionRepresentation, any>>;
