import type { AdapterFactory } from '@luvio/engine';
import type { GetListUiByApiNameConfig } from '../../generated/adapters/getListUiByApiName';
import type { GetListUiByListViewIdConfig } from '../../generated/adapters/getListUiByListViewId';
import type { GetListViewSummaryCollectionConfig } from '../../generated/adapters/getListViewSummaryCollection';
import type { GetMruListUiConfig } from '../../generated/adapters/getMruListUi';
import type { ListUiRepresentation } from '../../generated/types/ListUiRepresentation';
import type { ListViewSummaryCollectionRepresentation } from '../../generated/types/ListViewSummaryCollectionRepresentation';
type GetListUiConfig = GetListUiByApiNameConfig | GetListUiByListViewIdConfig;
export declare function validateGetListUiConfig(untrustedConfig: unknown): GetListUiConfig | null;
export declare const MRU: unique symbol;
export declare const factory: AdapterFactory<GetListViewSummaryCollectionConfig | GetListUiByApiNameConfig | GetListUiByListViewIdConfig | GetMruListUiConfig, ListUiRepresentation | ListViewSummaryCollectionRepresentation>;
export {};
